// K16DIOSampleDlg.h : ヘッダー ファイル
//

#if !defined(AFX_K16DIOSAMPLEDLG_H__53F58652_55EF_4CE3_B965_C2F18BB88F12__INCLUDED_)
#define AFX_K16DIOSAMPLEDLG_H__53F58652_55EF_4CE3_B965_C2F18BB88F12__INCLUDED_

#include "KDIOForm.h"	// ClassView によって追加されました。
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CK16DIOSampleDlg ダイアログ

class CK16DIOSampleDlg : public CDialog
{
// 構築
public:
	CK16DIOSampleDlg(CWnd* pParent = NULL);	// 標準のコンストラクタ

// ダイアログ データ
	//{{AFX_DATA(CK16DIOSampleDlg)
	enum { IDD = IDD_K16DIOSAMPLE_DIALOG };
		// メモ: この位置に ClassWizard によってデータ メンバが追加されます。
	//}}AFX_DATA

	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CK16DIOSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV のサポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	HICON m_hIcon;

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CK16DIOSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void OpenPanel(short DevId);
	CKDIOForm DevForm[16];
	BOOL DevStatus[16];//Device Connection Flag TRUE : connecting
	int nTimerEvent;//Device Control Panel Form Object
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_K16DIOSAMPLEDLG_H__53F58652_55EF_4CE3_B965_C2F18BB88F12__INCLUDED_)
